org.apache.ignite.internal.websession

## Class WebSessionAttributeProcessor

- java.lang.Object
- - org.apache.ignite.internal.websession.WebSessionAttributeProcessor

All Implemented Interfaces:
  Serializable, javax.cache.processor.EntryProcessor<String,WebSessionEntity,Void>, Binarylizable

    public class WebSessionAttributeProcessor
    extends Object
    implements javax.cache.processor.EntryProcessor<String,WebSessionEntity,Void>, Serializable, Binarylizable

Updates web session attributes according to `updatesMap` and `accessTime`, `maxInactiveInterval`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`WebSessionAttributeProcessor()` Empty constructor for serialization.
`WebSessionAttributeProcessor(Map<String,byte[]> updatesMap, long accessTime, int maxInactiveInterval, boolean maxIntervalChanged)` Constructs attribute processor.

### Method Summary

All Methods Instance Methods Concrete Methods
`Void` `process(javax.cache.processor.MutableEntry<String,WebSessionEntity> entry, Object... arguments)`
`void` `readBinary(BinaryReader reader)` Reads fields from provided reader.
`void` `writeBinary(BinaryWriter writer)` Writes fields to provided writer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WebSessionAttributeProcessor

    public WebSessionAttributeProcessor()

Empty constructor for serialization.

#### WebSessionAttributeProcessor

    public WebSessionAttributeProcessor(Map<String,byte[]> updatesMap,
                                        long accessTime,
                                        int maxInactiveInterval,
                                        boolean maxIntervalChanged)

Constructs attribute processor.

Parameters:
  `updatesMap` - Updates that should be performed on entity attributes.
  `accessTime` - Access time.
  `maxInactiveInterval` - Max inactive interval.
  `maxIntervalChanged` - `True` if max inactive interval should be updated.

### Method Detail

#### writeBinary

    public void writeBinary(BinaryWriter writer)
                     throws BinaryObjectException

Writes fields to provided writer.

Specified by:
  `writeBinary` in interface `Binarylizable`
Parameters:
  `writer` - Binary object writer.
Throws:
  `BinaryObjectException` - In case of error.

#### readBinary

    public void readBinary(BinaryReader reader)
                    throws BinaryObjectException

Reads fields from provided reader.

Specified by:
  `readBinary` in interface `Binarylizable`
Parameters:
  `reader` - Binary object reader.
Throws:
  `BinaryObjectException` - In case of error.

#### process

    public Void process(javax.cache.processor.MutableEntry<String,WebSessionEntity> entry,
                        Object... arguments)
                 throws javax.cache.processor.EntryProcessorException

Specified by:
  `process` in interface `javax.cache.processor.EntryProcessor<String,WebSessionEntity,Void>`
Throws:
  `javax.cache.processor.EntryProcessorException`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018